Package in.cdac.medinfo.csnotk.csnolib.icdmap

## Class MapResult

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.icdmap.MapResult

-     public class MapResult
      extends java.lang.Object

  Provides the mapping result. It details the mapping status with list of mapping group.
  See Also:
    `MapGroup`, `MapAdvice`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapResult()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `getConceptId()` | Gets the concept id.
    `java.util.List<MapGroup>` | `getMapGroup()` | Gets the list of map group.
    `java.lang.String` | `getMapStatus()` | Gets the mapping status.
    `void` | `setConceptId​(java.lang.Long conceptId)` | Sets the concept id.
    `void` | `setMapGroup​(java.util.List<MapGroup> mapGroup)` | Sets the list of map group.
    `void` | `setMapStatus​(java.lang.String mapStatus)` | Sets the mapping status.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapResult

          public MapResult()

  - ### Method Detail

    - #### getConceptId

          public java.lang.Long getConceptId()

      Gets the concept id.
      Returns:
        SNOMED CT (conceptId)

    - #### setConceptId

          public void setConceptId​(java.lang.Long conceptId)

      Sets the concept id.
      Parameters:
        `conceptId` - SNOMED CT (conceptId)

    - #### getMapStatus

          public java.lang.String getMapStatus()

      Gets the mapping status. NO_MAP_FOUND, MAP_FOUND, INDETERMINATE_MAP.
      Returns:
        map status

    - #### setMapStatus

          public void setMapStatus​(java.lang.String mapStatus)

      Sets the mapping status. NO_MAP_FOUND, MAP_FOUND, INDETERMINATE_MAP.
      Parameters:
        `mapStatus` - map status

    - #### getMapGroup

          public java.util.List<MapGroup> getMapGroup()

      Gets the list of map group.
      Returns:
        list of map group.

    - #### setMapGroup

          public void setMapGroup​(java.util.List<MapGroup> mapGroup)

      Sets the list of map group.
      Parameters:
        `mapGroup` - list of map group.